Run of scrub-obsolete for kbd-chooser

Try this locally (using the lintian-brush package):

debcheckout kbd-chooser
cd kbd-chooser
DEB_UPDATE_CHANGELOG=auto scrub-obsolete

Merge these changes:

git pull https://janitor.debian.net/git/kbd-chooser scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 505971c..1518e95 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,10 @@ kbd-chooser (1.72) UNRELEASED; urgency=medium
   [ Holger Wansing ]
   * Remove trailing whitespaces from changelog file, to fix lintian tag.
 
+  [ Debian Janitor ]
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on debhelper and po-debconf.
+
  -- Cyril Brulebois <kibi@debian.org>  Sat, 20 Apr 2019 22:35:05 +0200
 
 kbd-chooser (1.71) unstable; urgency=medium
diff --git a/debian/control b/debian/control
index 1f9ee95..beed795 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex, bison, libdebconfclient0-dev (>= 0.49)
+Build-Depends: debhelper, libdebian-installer4-dev (>= 0.41), po-debconf, flex, bison, libdebconfclient0-dev (>= 0.49)
 Vcs-Browser: https://salsa.debian.org/installer-team/kbd-chooser
 Vcs-Git: https://salsa.debian.org/installer-team/kbd-chooser.git
 

Debdiff

File lists identical (after any substitutions)

Control files: lines which differ (wdiff format)

  • Depends: libc6-udeb (>= 2.31), libdebconfclient0-udeb (>= 0.254), 0.259), libdebian-installer4-udeb (>= 0.120), 0.121), cdebconf-udeb, console-keymaps

Lintian Result

Full worker log Full build log